package com.link.core.basic.query;

import com.link.core.util.StringUtils;
import java.util.Map;

public class ImportColumn implements Comparable<ImportColumn> {
   private String title;
   private String field;
   private Integer order;
   private String parentid;
   private String parentField;
   private String lov;
   private Map<String, String> lovMap;

   public String getLovCode(String lovShowName) {
      if (this.lovMap != null) {
         String lovCode = (String)this.lovMap.get(lovShowName);
         return StringUtils.isNull(lovCode) ? lovShowName : lovCode;
      } else {
         return lovShowName;
      }
   }

   public String getLov() {
      return this.lov;
   }

   public void setLov(String lov) {
      this.lov = lov;
   }

   public Map<String, String> getLovMap() {
      return this.lovMap;
   }

   public void setLovMap(Map<String, String> lovMap) {
      this.lovMap = lovMap;
   }

   public String getParentField() {
      return this.parentField;
   }

   public void setParentField(String parentField) {
      this.parentField = parentField;
   }

   public String getTitle() {
      return this.title;
   }

   public void setTitle(String title) {
      this.title = title;
   }

   public String getField() {
      return this.field;
   }

   public void setField(String field) {
      this.field = field;
   }

   public Integer getOrder() {
      return this.order;
   }

   public void setOrder(Integer order) {
      this.order = order;
   }

   public int compareTo(ImportColumn arg0) {
      return this.getOrder().compareTo(arg0.getOrder());
   }

   public String getParentid() {
      return this.parentid;
   }

   public void setParentid(String parentid) {
      this.parentid = parentid;
   }
}
